import { DprClientClass } from '../../../DprClientClass';
declare class ChartVisualisation extends DprClientClass {
    setupCanvas(): void;
    initChart(): void;
    generateChartData(settings: any): {
        type: any;
        data: {
            labels: any;
            datasets: any;
        };
        options: any;
        plugins: any[];
    };
    createDatasets(datasets: any, styling: any): any;
    setHoverValue({ label, value, legend, ctx }: {
        label: any;
        value: any;
        legend: any;
        ctx: any;
    }): void;
    setValueSuffix(): void;
    isPercentage(): boolean;
    initChartEvents(): void;
}
export { ChartVisualisation };
export default ChartVisualisation;
